# -*- coding: utf-8 -*-
# Generated by Django 1.10.7 on 2017-09-04 11:17
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('codenerix_invoicing', '0036_auto_20170904_1049'),
    ]

    operations = [
        migrations.CreateModel(
            name='ReasonModification',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Updated')),
                ('code', models.CharField(max_length=15, unique=True, verbose_name='Code')),
                ('name', models.CharField(max_length=250, verbose_name='Name')),
                ('enable', models.BooleanField(default=True, verbose_name='Enable')),
            ],
            options={
                'default_permissions': ('add', 'change', 'delete', 'view', 'list'),
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ReasonModificationLineAlbaran',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Updated')),
                ('date', models.DateTimeField(default=django.utils.timezone.now, verbose_name='Date')),
                ('line', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='reason_line_albaran', to='codenerix_invoicing.SalesLineAlbaran', verbose_name='Line')),
                ('reason', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='reason_line_albaran', to='codenerix_invoicing.ReasonModification', verbose_name='Reason')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='reason_line_albaran', to=settings.AUTH_USER_MODEL, verbose_name='User')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ReasonModificationLineBasket',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Updated')),
                ('date', models.DateTimeField(default=django.utils.timezone.now, verbose_name='Date')),
                ('line', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='reason_line_basket', to='codenerix_invoicing.SalesLineBasket', verbose_name='Line')),
                ('reason', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='reason_line_basket', to='codenerix_invoicing.ReasonModification', verbose_name='Reason')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='reason_line_basket', to=settings.AUTH_USER_MODEL, verbose_name='User')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ReasonModificationLineInvoice',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Updated')),
                ('date', models.DateTimeField(default=django.utils.timezone.now, verbose_name='Date')),
                ('line', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='reason_line_invoice', to='codenerix_invoicing.SalesLineInvoice', verbose_name='Line')),
                ('reason', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='reason_line_invoice', to='codenerix_invoicing.ReasonModification', verbose_name='Reason')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='reason_line_invoice', to=settings.AUTH_USER_MODEL, verbose_name='User')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ReasonModificationLineInvoiceRectification',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Updated')),
                ('date', models.DateTimeField(default=django.utils.timezone.now, verbose_name='Date')),
                ('line', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='reason_line_invoice_rectification', to='codenerix_invoicing.SalesLineInvoiceRectification', verbose_name='Line')),
                ('reason', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='reason_line_invoice_rectification', to='codenerix_invoicing.ReasonModification', verbose_name='Reason')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='reason_line_invoice_rectification', to=settings.AUTH_USER_MODEL, verbose_name='User')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ReasonModificationLineOrder',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Updated')),
                ('date', models.DateTimeField(default=django.utils.timezone.now, verbose_name='Date')),
                ('line', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='reason_line_order', to='codenerix_invoicing.SalesLineOrder', verbose_name='Line')),
                ('reason', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='reason_line_order', to='codenerix_invoicing.ReasonModification', verbose_name='Reason')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='reason_line_order', to=settings.AUTH_USER_MODEL, verbose_name='User')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ReasonModificationLineTicket',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Updated')),
                ('date', models.DateTimeField(default=django.utils.timezone.now, verbose_name='Date')),
                ('line', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='reason_line_ticket', to='codenerix_invoicing.SalesLineTicket', verbose_name='Line')),
                ('reason', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='reason_line_ticket', to='codenerix_invoicing.ReasonModification', verbose_name='Reason')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='reason_line_ticket', to=settings.AUTH_USER_MODEL, verbose_name='User')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ReasonModificationLineTicketRectification',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Updated')),
                ('date', models.DateTimeField(default=django.utils.timezone.now, verbose_name='Date')),
                ('line', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='reason_line_ticket_rectification', to='codenerix_invoicing.SalesLineTicketRectification', verbose_name='Line')),
                ('reason', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='reason_line_ticket_rectification', to='codenerix_invoicing.ReasonModification', verbose_name='Reason')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='reason_line_ticket_rectification', to=settings.AUTH_USER_MODEL, verbose_name='User')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
