# -*- coding: utf-8 -*-
# Generated by Django 1.10.7 on 2017-09-07 16:53
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('codenerix_pos', '0024_auto_20170825_1017'),
        ('codenerix_invoicing', '0045_remove_salesalbaran_tax'),
    ]

    operations = [
        migrations.CreateModel(
            name='CashDiary',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Updated')),
                ('opened_date', models.DateTimeField(verbose_name='Opened Date')),
                ('opened_amount', models.FloatField(verbose_name='Opened Amount')),
                ('closed_date', models.DateTimeField(verbose_name='Closed Date')),
                ('closed_amount', models.FloatField(verbose_name='Closed Amount')),
                ('closed_user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='closed_cash_diarys', to=settings.AUTH_USER_MODEL, verbose_name='User')),
                ('opened_user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='opened_cash_diarys', to=settings.AUTH_USER_MODEL, verbose_name='User')),
                ('pos', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='cash_movements', to='codenerix_pos.POS', verbose_name='Point of Sales')),
            ],
            options={
                'default_permissions': ('add', 'change', 'delete', 'view', 'list'),
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='CashMovement',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Updated')),
                ('kind', models.CharField(choices=[(b'AMA', 'Amazon'), (b'TRA', 'Wire transfer'), (b'CAR', 'Card'), (b'CAS', 'Cash'), (b'CRE', 'Credit'), (b'PYP', 'Paypal'), (b'30C', '30 day credit'), (b'60C', '60 day credit'), (b'90C', '90 day credit')], max_length=3, verbose_name='Kind')),
                ('kind_card', models.CharField(blank=True, choices=[(b'VIS', 'Visa'), (b'MAS', 'MasterCard'), (b'AME', 'American Express'), (b'OTH', 'Other')], max_length=3, null=True, verbose_name='Kind Card')),
                ('date_movement', models.DateTimeField(verbose_name='Date of movement')),
                ('amount', models.FloatField(verbose_name='Amount')),
                ('cash_diary', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='cash_movements', to='codenerix_invoicing.CashDiary', verbose_name='Cash diary')),
                ('order', models.ManyToManyField(related_name='cash_movements', to='codenerix_invoicing.SalesOrder', verbose_name='Order')),
                ('pos_slot', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='cash_movements', to='codenerix_pos.POSSlot', verbose_name='Slot')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='cash_movements', to=settings.AUTH_USER_MODEL, verbose_name='User')),
            ],
            options={
                'default_permissions': ('add', 'change', 'delete', 'view', 'list'),
                'abstract': False,
            },
        ),
    ]
